#include "prohlizec.h"
#include <QFileInfo>
#include <QDateTime>

Window::Window(QWidget *parent) : QMainWindow(parent){
	ui.setupUi(this);
	connect(ui.button, SIGNAL(clicked()), this, SLOT(nacti()));
	connect(ui.quitButton, SIGNAL(clicked()), this, SLOT(zavri()));
	connect(ui.plusButton, SIGNAL(clicked()), this, SLOT(zoomp()));
	connect(ui.minusButton, SIGNAL(clicked()), this, SLOT(zoomm()));
	ui.gView->setScene(&scena);
	obrazek = new QGraphicsPixmapItem();
	zoom=849; //vyska plochy pro zobrazeni obrazku
}

QString Window::cesta(){
	QString cesta;
	cesta = ui.vstup->text();
	return cesta;
}
void Window::nacti(){

	QPixmap pixmap(this->cesta(),NULL,Qt::AutoColor);
	int vyska = pixmap.height();
	int sirka = pixmap.width();

	QFileInfo file(this->cesta());

	pixmap = pixmap.scaledToHeight(zoom,Qt::SmoothTransformation);
	obrazek->setPixmap(pixmap);

	ui.vystup->clear();
	ui.vystup->append("Jmeno: "+file.fileName());
	ui.vystup->append("Sirka: "+QString::number(sirka)+" px");
	ui.vystup->append("Vyska: "+QString::number(vyska)+" px");

	int velikost = file.size()/1000;
	ui.vystup->append("Velikost: "+QString::number(velikost)+" kB");
	QDateTime datum;
	datum = file.lastModified();

	ui.vystup->append("Datum a cas: "+datum.toString(Qt::LocalDate));
	scena.addItem(obrazek);
	ui.gView->show();
}

void Window::keyPressEvent(QKeyEvent *event){
	if(event->key()== Qt::Key_Escape){
		this->zavri();
	}
	if(event->key()== Qt::Key_Plus){
		if(zoom<3000){
		QPixmap pixmap(this->cesta(),NULL,Qt::AutoColor);
		pixmap = pixmap.scaledToHeight(zoom+100,Qt::SmoothTransformation);
		obrazek->setPixmap(pixmap);
		scena.addItem(obrazek);
		zoom=zoom+100;
		}
	}
	if(event->key()== Qt::Key_Minus){
		if(zoom>1){
		QPixmap pixmap(this->cesta(),NULL,Qt::AutoColor);
		pixmap = pixmap.scaledToHeight(zoom-100,Qt::SmoothTransformation);
		obrazek->setPixmap(pixmap);
		scena.addItem(obrazek);
		zoom=zoom-100;
		}
	}
	if(event->key()== Qt::Key_Slash){
		QPixmap pixmap(this->cesta(),NULL,Qt::AutoColor);
		pixmap = pixmap.scaledToHeight(849,Qt::SmoothTransformation);
		obrazek->setPixmap(pixmap);
		scena.addItem(obrazek);
		zoom=849;
	}
	if(event->text()== "*"){
		QPixmap pixmap(this->cesta(),NULL,Qt::AutoColor);
		pixmap = pixmap.scaledToHeight(pixmap.height(),Qt::SmoothTransformation);
		obrazek->setPixmap(pixmap);
		scena.addItem(obrazek);
		zoom=pixmap.height();
	}
	if(event->key()== Qt::Key_R){
		obrazek->rotate(90);
	}
	if(event->key()== Qt::Key_L){
		obrazek->rotate(-90);
	}
}

void Window::zavri(){
	this->close();
}

void Window::zoomp(){
	if(zoom<3000){
		QPixmap pixmap(this->cesta(),NULL,Qt::AutoColor);
		pixmap = pixmap.scaledToHeight(zoom+100,Qt::SmoothTransformation);
		obrazek->setPixmap(pixmap);
		scena.addItem(obrazek);
		zoom=zoom+100;
		}
}

void Window::zoomm(){
	if(zoom>1){
		QPixmap pixmap(this->cesta(),NULL,Qt::AutoColor);
		pixmap = pixmap.scaledToHeight(zoom-100,Qt::SmoothTransformation);
		obrazek->setPixmap(pixmap);
		scena.addItem(obrazek);
		zoom=zoom-100;
		}
}
